Customers
Delete Customer by External ID
Delete a customer by external ID.
Immediately cancels any active subscriptions and revokes any active benefits.
Set anonymize=true to also anonymize PII for GDPR compliance.
Scopes: customers:write
DELETE
/
v1
/
customers
/
external
/
{external_id}
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
polar.customers.delete_external(
'string',
anonymize=False,
)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
await polar.customers.deleteExternal(
"string",
{
"anonymize": false
},
);
curl --request DELETE \
--url https://api.polar.sh/v1/customers/external/{external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.polar.sh/v1/customers/external/{external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polar.sh/v1/customers/external/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
patoat
Path Parameters
The customer external ID.
Query Parameters
If true, also anonymize the customer's personal data for GDPR compliance.
Response
Customer deleted.
Was this page helpful?
⌘I
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
polar.customers.delete_external(
'string',
anonymize=False,
)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
await polar.customers.deleteExternal(
"string",
{
"anonymize": false
},
);

